{% extends "ajax/game/game.html.twig" %}
{% block title %}{{ user.name }}{% endblock %}
{% block menu_text %}
    {{parent()}}
    <li class="back-dash" x-ajax-href="{{ url('game_landing') }}">{{ 'Zum Spiel'|trans({},'global') }}</li>
{% endblock %}
{% block ajax %}
    <div class="row soul">
        <div class="cell padded header rw-10 ro-1 rw-md-12 ro-md-0 edge-top-left">
            <div class="tabs">
                <div class="tab-floater">
                    <div class="tab left inline">
                        {% if user.avatar %}
                            <div class="avatar small ua-{{ user.id % 10 }}">
                                <img alt="" src="{{ path('app_web_avatar', {'uid': user.id, 'name': user.avatar.smallName, 'ext': user.avatar.format}) }}">
                            </div>
                        {% endif %}
                        <h4 class="soul-name">
                            <img src="{{ asset('build/images/icons/small_ghost_red.gif') }}" alt="{{'Held'|trans({}, 'game')}}" />
                            {% include 'ajax/soul/playername.html.twig' with {user: user, tag: 'a'} only %}
                        </h4>
                    </div>
                    <div class="tab tab-floater">
                        <button x-ajax-href='{{returnUrl}}' style="margin-top: 4px;padding: 0 8px;" class="inline"><span class="hide-sm">{{ "Kartei schließen"|trans({}, 'soul') }}</span><span class="hide-lg hide-md hide-desktop"><img style="margin-right: 0;" src="{{ asset('build/images/icons/small_remove.gif') }}" alt="[X]" /></span></button>
                    </div>
                </div>
            </div>
            <div class="row me">
                {% include 'ajax/soul/badges.html.twig' with {badger: user} %}
                <div class="cell rw-5 rw-sm-12 center">
                    {% include 'ajax/soul/distinctions.html.twig' with {pictos: pictos, points: points, user: user} %}
                    <br />
                    <a href="#" class="small" x-ajax-href="{{ path('soul_pictos_all', {id: user.id}) }}" >{{ 'Details'|trans({},'soul') }}</a>
                </div>
                <div class="cell padded rw-7 rw-sm-12">
                    <div class="score"><img src="{{ asset('build/images/soul/small_score.gif') }}" alt="" /> {{ 'Seelenpunktzahl'|trans({}, 'global') }} : <strong>{{ '{points} Punkte'|trans({'{points}': user.allSoulPoints}, 'global') }}</strong></div>

                    {% if app.user|related(user,constant('App\\Entity\\SocialRelation::SocialRelationTypeBlock')) %}
                        <div class="note note-warning">
                            <b>{{ 'Du hast {user} blockiert.'|trans({'{user}': user.name},'global') }}</b>
                            <a href="#" id="user_unblock_button">{{ 'Blockade aufheben'|trans({'{user}': user.name},'global') }}</a>
                        </div>
                    {% endif %}

                    {# @var user \App\Entity\User #}
                    {% if user.activeCitizen is not null and user.activeCitizen.alive %}
                        <div class="current">
                            <em>{{'Aktuelles Leben'|trans({}, 'global')}} : </em><br /><strong><img src="{{ asset('build/images/soul/r_explor.gif') }}" alt="" /> {{ user.activeCitizen.town.name }}</strong> ({{ 'Tag {day}'|trans({'{day}':user.activeCitizen.town.day}, 'game') }})
                        </div>
                    {% endif %}
                    {% if user_desc %}
                        <div class="personal_desc"><div>{{ 'Persönliche Beschreibung'|trans({},'game') }}</div><div>"{{ user_desc|raw }}"</div></div>
                    {% endif %}

                    {#
                    {% if (user.nameHistory ?? [])|filter(n => n != user.name)|length > 0 %}
                        <div class="personal_desc mt-1">
                            <div>{{'{user} war in der Vergangenheit unter folgenden Namen bekannt:'|trans({'user': user}, 'soul')}}</div>
                            <div>
                                {% for name in (user.nameHistory ?? [])|filter(n => n != user.name) %}
                                    {{ name }}{% if not loop.last %}, {% endif %}
                                {% endfor %}
                            </div>
                        </div>
                    {% endif %}
                    #}

                    <div class="town-history">
                        <div id="town-list"></div>
                        <div class="row">
                            <div class="cell padded rw-6">
                                <select name="season" id="season">
                                    {% for season in seasons %}
                                        {% if season.number > 0 %}
                                            <option value="{{season.id}}">
                                                {{ 'Saison {n}'|trans({'{n}': season.number},'soul') }} - {{ ('Saison ' ~ season.number ~ '.' ~ season.subNumber)|trans({}, "season")}}
                                            </option>
                                        {% endif %}
                                    {% endfor %}
                                    {% for season in seasons %}
                                        {% if season.number == 0 and season.subnumber > 14 %}
                                            <option value="{{ season.id }}">
                                                {{ 'Beta-Saison'|trans({},'soul') }}
                                            </option>
                                        {% endif %}
                                    {% endfor %}
                                    <option value="-1">{{'Alte Städte'|trans({}, "soul")}}</option>
                                    {% for season in seasons %}
                                        {% if season.number == 0 and season.subnumber <= 14 %}
                                            <option value="{{season.id}}">
                                                {{ 'Gute Alte Zeit'|trans({},'soul') }} -
                                                {{ 'Saison {n}'|trans({'{n}': season.subNumber},'soul') }}
                                            </option>
                                        {% endif %}
                                    {% endfor %}
                                </select>
                            </div>
                            <div class="cell padded rw-6 right">
                                <input type="checkbox" name="limit-10" id="limit-10" checked /> <label for="limit-10" class="small">{{'Nur 10 Städte anzeigen'|trans({}, 'soul')}}</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {% if citizen_id is not null %}
                <div class="row">
                    <div class="padded cell rw-5 rw-md-6 rw-sm-12">
                        <button x-ajax-href="{{ path('town_visit', {'id': citizen_id}) }}"><img alt="" src="{{ asset('build/images/icons/home.gif') }}">{{ 'Haus besuchen'|trans({},'soul') }}</button>
                    </div>
                </div>
            {% endif %}

            {% if is_granted('ROLE_CROW') %}
            <div class="row">
                <div class="padded cell rw-5 rw-md-6 rw-sm-12">
                    <button x-ajax-href="{{ path('admin_users_account_view', {id: user.id}) }}"><img alt="" src="{{ asset('build/images/icons/small_admin.gif') }}">{{ 'Admin Dashboard'|trans({},'admin') }}</button>
                </div>
            </div>
            {% if user.activeCitizen is not null and user.activeCitizen.alive %}
            <div class="row">
                <div class="padded cell rw-5 rw-md-6 rw-sm-12">
                    <button id="x-liver-eat"><img alt="" src="{{ asset('build/images/actions/canteen.gif') }}">{{ 'Leber fressen'|trans({},'admin') }}</button>
                </div>
            </div>
            {% endif %}
            {% endif %}

            {% if not user|is_granted('ROLE_CROW') and not app.user|related(user,constant('App\\Entity\\SocialRelation::SocialRelationTypeBlock')) %}
                <div class="row">
                    <div class="padded cell rw-12 right">
                        <button class="inline small" id="user_block_button"><i class="fa fa-shield-alt"></i> {{ 'Spieler blockieren'|trans({'{user}': user.name},'global') }}</button>
                    </div>
                </div>
            {% endif %}

            <div class="row">
                <div class="cell padded rw-12 rw-sm-12">
                    {{ help_lnk('Die Seele in MyHordes'|trans({}, 'game'), 'help', {'name': 'your_soul'}) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block js %}
    {{parent()}}

    <script>
        $.html.addEventListenerAll('#user_unblock_button','click',(e,elem) => {
            e.preventDefault();
            if (confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                $.ajax.easySend( '{{ path('soul_block_control', {id: user.id, action: 0}) }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('soul_visit', {id: user.id}) }}', true);
                    } );
        });

        $.html.addEventListenerAll('#user_block_button','click',(e,elem) => {
            e.preventDefault();
            if (confirm(
                '{{ '{user} blockieren'|trans({'{user}': user.name},'global')|e('js') }}\n\n' +
                '{{ 'Wenn du diesen Spieler blockierst, kann er dir keine neuen Nachrichten schicken. Werdet ihr beide von einer dritten Person in eine Gruppennachricht hinzugefügt, so werden Beiträge des blockierten Spielers standartmäßig für dich versteckt.'|trans({},'global')|e('js') }}' +
                '\n\n{{ 'Möchtest du fortfahren?'|trans({},'global')|e('js') }}'
            ))
                $.ajax.easySend( '{{ path('soul_block_control', {id: user.id, action: 1}) }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('soul_visit', {id: user.id}) }}', true);
                    } );
        });

        let season_select = document.getElementById('season');
        $.ajax.no_history().load( document.getElementById('town-list'), '{{ path('soul_get_towns', {user_id: user.id}) }}', false, {season: season_select.value, limit10: document.getElementById("limit-10").checked } )
        if (season) {
            season_select?.addEventListener('change', function(e) { $.ajax.no_history().load( document.getElementById('town-list'), '{{ path('soul_get_towns', {user_id: user.id}) }}', false, {season: this.value, limit10: document.getElementById("limit-10").checked } ) } );
            document.getElementById('limit-10')?.addEventListener('change', function(e) { $.ajax.no_history().load( document.getElementById('town-list'), '{{ path('soul_get_towns', {user_id: user.id}) }}', false, {season: document.getElementById('season').value, limit10: this.checked } ) } );
        }

        {% if is_granted("ROLE_CROW") and user.activeCitizen is not null and user.activeCitizen.alive %}
        document.getElementById('x-liver-eat')?.addEventListener('click', function(e) {
            e.preventDefault();
            if (confirm('{{ 'Das Leben dieses Bürgers sofort beenden?'|trans({},'admin') }}'))
                $.ajax.easySend( '{{ path('admin_users_citizen_eat_liver', { 'id': user.activeCitizen.id }) }}', [],
                    function () {
                        $.ajax.load(null, '{{ path('soul_visit', { 'id': user.Id }) }}', true);
                    } )
        });
        {% endif %}
    </script>
{% endblock %}
